Loading...
Searching...
No Matches
Dune::SeqOverlappingSchwarzApplier< T > Struct Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners

Helper template meta program for application of overlapping Schwarz. More...

`#include <dune/istl/overlappingschwarz.hh>`

Inheritance diagram for Dune::SeqOverlappingSchwarzApplier< T >:

## Public Types

typedef T | smoother
typedef smoother::range_type | range_type

## Static Public Member Functions

static void | apply (smoother &sm, range_type &v, const range_type &b)

## Detailed Description

template<class T>
struct Dune::SeqOverlappingSchwarzApplier< T >

Helper template meta program for application of overlapping Schwarz.

The is needed because when using the multiplicative Schwarz version one might still want to make multigrid symmetric, i.e. forward sweep when pre- and backward sweep when post-smoothing.

Template Parameters

  T | The smoother to apply.

## Member Typedef Documentation

## range_type

template<class T>

typedef smoother::range_type Dune::SeqOverlappingSchwarzApplier< T >::range_type

## smoother

template<class T>

typedef T Dune::SeqOverlappingSchwarzApplier< T >::smoother

## Member Function Documentation

## apply()

template<class T>

void Dune::SeqOverlappingSchwarzApplier< T >::apply | ( | smoother & | sm,
|  | range_type & | v,
|  | const range_type & | b )

inline static

The documentation for this struct was generated from the following file:

- overlappingschwarz.hh